• Blog posts

    Bio

    By Peter Maxwell-Stewart

    ilogic-add-components-1.PNG

    I have been really busy recently working on various different Automation projects. It seems to be the big focus for a lot of our customers at the moment. Everyone wants to speed up design time and take the mundane design jobs off their technical team in an aim to boost productivity. As a result I have been making model after model and one thing I keep doing is adding components to the assembly using iLogic. Basically this means that when certain criteria are met from the parameters in the assembly then components are either added or taken away as needed. In the past I have suppressed the components as and when I needed them, but this can sometimes lead to the model taking a while to process the changes. With the new add and remove components, these changes happen much faster and also the file sizes stay smaller….Win Win!

    When positioning the components you have multiple options like adding constraints to work planes or faces with names assigned to them. You can also add points in with the various different positioning commands. Example below:

    Dim pointA = ThisDoc.Geometry.Point(0,0,0)

    Dim componentA = Components.Add("occName", "a.ipt", position := pointA, grounded := False, visible := True, appearance := Nothing)

    Attached is just a simple example of how this can be implemented. Have a go yourself and see what you think the time saving could be!